package com.fdage.service;

import com.fdage.dto.SceneDto;
import com.fdage.dto.VideoDto;
import com.fdage.entity.SceneEntity;
import com.fdage.entity.VideoEntity;
import com.fdage.util.Result;
import org.springframework.web.multipart.MultipartFile;

/**
 * Created by owen on 2021/8/30 0023 17:13
 */
public interface VideoService {

    Result<VideoEntity> findAll();

    Result<VideoEntity> saveEntity(VideoDto param);

    Result upload(MultipartFile file, String dirCode, boolean useCode);

    Result detail(Long id);

    Result remove(Long id);
}
